View Issue Details

IDProjectCategoryView StatusLast Update
0000491SketcherFeaturepublic2017-04-28 12:32
ReporterwmayerAssigned Toabdullah 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version 
Target Version0.12Fixed in Version0.16 
Summary0000491: Sketcher: Do not recompute dependent objects if in edit mode
Descriptionhttps://sourceforge.net/apps/phpbb/free-cad/viewtopic.php?f=8&t=1941
https://forum.freecadweb.org/viewtopic.php?f=8&t=1941
TagsNo tags attached.

Relationships

related to 0001927 closedshoogen FreeCAD Abillity to disable all recomputes 

Activities

Jriegel

2011-11-26 16:24

administrator   ~0001355

+1

bejant

2014-12-11 15:30

reporter   ~0005368

Now that the forum has moved from SF, the link referenced in the Description is here:
http://forum.freecadweb.org/viewtopic.php??f=8&t=1941

===

This issue isn't limited to Sketcher. "Do not recompute dependent objects if in edit mode" would also be helpful in other situations. For example, I've made a model by tracing an image with closed Draft Polylines and Bsplines, then using Part WB Extrudes and then Booleans dozens of times to create the model.

When going back to edit a Polyline or Bspline (e.g. to move a vertex) in order to fine tune the model, the model recomputes each time a single vertex is repositioned, and each recompute takes over a minute.

It would be a huge timesaver to be able to toggle this behavior to Off:
1. Until the Polyline / Bspline editor is closed;
2. In the event the user has to edit several Polylines / Bsplines in the model, allow the user to delay the recompute.

bejant

2015-07-02 22:26

reporter   ~0006240

Abdullah has implemented the Auto-Update tickbox and Update button to disable recomputes while editing a Sketch:
http://forum.freecadweb.org/viewtopic.php?f=27&t=11344

wmayer

2015-07-03 09:04

administrator   ~0006241

> This issue isn't limited to Sketcher. "Do not recompute dependent objects if in edit mode" would also be helpful in other situations.
Therefore we have 0001927

Related Changesets

FreeCAD: master a21265f9

2015-06-06 15:27:12

Abdullah Tahiri


Committer: wmayer Details Diff
Sketcher: New Feature: Avoiding to continuously recompute all the sketch (and dependent objects)

======================================================================================

There is a checkbox, default disabled, that makes the commands NOT to generate a recompute after each.
This means that if you are editing a sketch that is used to generate a pad or pocket, if the checkbox is
disabled, the dependent objects do not get recomputed.

There is a button next to it to force a manual recompute, in case it is needed.

If the user wants the previous behavior, he only needs to activate the checkbox. The previous status of the box
is restored upon entering a sketch in edit mode.

It is remarkable the case of the Fillet and Trim

On changing ActSketch (solvedSketch) to SketchObject and making movePoint not systematically update the geometry, the solving in MovePoint was confronted with solving for "the last solved geometry",
which is the default behaviour, in some situations (Fillet and Trim) where geometry had changed at SketchObject level, and was the subject of the moving actions.

MovePoint has been updated to take an extra optional parameter, to force the change in solved geometry in those situations.

Some other minor bug also fixed in Fillet creation in CommandCreateGeo.cpp

This commit also introduces conditional recompute on some operations of:
- constraints
- geometry creation (reubication of update active to comprise the autoconstraints within a single UpdateActive)
Affected Issues
0000491
mod - src/Mod/Sketcher/App/SketchObject.cpp Diff File
mod - src/Mod/Sketcher/App/SketchObject.h Diff File
mod - src/Mod/Sketcher/Gui/CommandConstraints.cpp Diff File
mod - src/Mod/Sketcher/Gui/CommandCreateGeo.cpp Diff File
mod - src/Mod/Sketcher/Gui/DrawSketchHandler.cpp Diff File
mod - src/Mod/Sketcher/Gui/EditDatumDialog.cpp Diff File
mod - src/Mod/Sketcher/Gui/TaskSketcherMessages.cpp Diff File
mod - src/Mod/Sketcher/Gui/TaskSketcherMessages.h Diff File
mod - src/Mod/Sketcher/Gui/TaskSketcherMessages.ui Diff File
mod - src/Mod/Sketcher/Gui/ViewProviderSketch.cpp Diff File

Issue History

Date Modified Username Field Change
2011-11-23 13:32 wmayer New Issue
2011-11-23 13:32 wmayer Status new => assigned
2011-11-23 13:32 wmayer Assigned To => logari81
2011-11-26 16:24 Jriegel Note Added: 0001355
2012-05-05 18:31 yorik Project FreeCAD => Sketcher
2014-12-11 15:30 bejant Note Added: 0005368
2015-01-28 16:07 shoogen Relationship added related to 0001927
2015-07-02 22:26 bejant Note Added: 0006240
2015-07-03 09:02 wmayer Changeset attached => FreeCAD Master master a21265f9
2015-07-03 09:04 wmayer Note Added: 0006241
2015-07-03 09:04 wmayer Status assigned => closed
2015-07-03 09:04 wmayer Assigned To logari81 => abdullah
2015-07-03 09:04 wmayer Resolution open => fixed
2015-07-03 09:04 wmayer Fixed in Version => 0.16
2017-04-28 12:32 Kunda1 Description Updated View Revisions